<%@ page contentType="text/html" language="java"%>
<%@ taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@ taglib prefix="h" uri="http://java.sun.com/jsf/html"%>
<%@ taglib prefix="ig" uri="http://www.infragistics.com/faces/netadvantage"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>TestCase Results Entry</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="description"
    content="Infragistics Dynamic Fixed Column Sample">
</head>
<body>
<f:view>
    <h:form>
        <h:panelGroup> 
			<h:panelGroup>
				<h:graphicImage id="filter" url="#{testCase.filter}" alt="Filter Testcases" onclick="showFilter();"/>
				
				<h:graphicImage id="selectCols" url="#{testCase.selectCols}" alt="Slect Columns" onclick="showSelectCols();"/>
				
				<h:commandButton id="save" actionListener="#{testCase.saveTCs}" value="Save" /> 
				<!-- h:commandButton id="button1" value="Save" action="" / -->
			</h:panelGroup>
            <h:panelGroup>
				
				<ig:gridView id="testCaseGrid" binding="#{testCase.grid}" dataSource="#{testCase.testCaseData}">
				<ig:gridEditing />
				</ig:gridView>
            </h:panelGroup> 
        </h:panelGroup>
		<h:panelGroup styleClass="section">
			<%-- DESCRIPTION --%>
			<ig:tabView>
				<ig:tabItem id="commentTab" value="Comment">
					<f:verbatim escape="false">
					<h:inputTextarea id="TCComment" rows="2" cols="1" value="" style="width: 550px" readonly="true"></h:inputTextarea>
					</f:verbatim>
				</ig:tabItem>
				<ig:tabItem id = "descriptionTab" value="TestCase Description">
				<f:verbatim escape="false">
					<h:inputTextarea id="TCDescription" rows="2" cols="1" value="" style="width: 550px" readonly="true"></h:inputTextarea>
					</f:verbatim>
				</ig:tabItem>
			</ig:tabView>
		</h:panelGroup>
		
	

	<script type="text/javascript">
	
		function myfunc(){
					
			mywindow = window.open ("KWManualEntry.faces", "mywindow","location=1,status=1,scrollbars=0, addressbar=0, width=800,height=510");
			mywindow.moveTo(0,0);
		} 
		function sync(oObject) 
		{
			var value = oObject.value;
			//alert("This object's value attribute is set to \"" + value + "\"."); 
			var id = oObject.id;
			var objs = document.getElementsByTagName("textarea");
			for (var i=0; i<objs.length; i++) {
					var id = objs[i].id;
					if(id.indexOf("TCComment") > 0){
						ele = document.getElementById(objs[i].id);
						objs[i].value = value
						break;
					}
			}
			
			//alert(objs.length);

			//if (ele)
			//{
				//alert("found");
			//	ele.value = value;
			//}
			//_id0:_id4:TCDescription
		}
		function showDesc(oObject) 
		{
			var value = oObject.value;
			var id = oObject.id;
			var objs = document.getElementsByTagName("textarea");
			for (var i=0; i<objs.length; i++) {
				var id = objs[i].id;
				if(id.indexOf("TCDescription") > 0){
					ele = document.getElementById(objs[i].id);
					objs[i].value = value
					break;
				}
			}

		}
		
		function showSelectCols(){
			mywindow = window.open ("getTestCaseCustomFields.utp?ac=22006", "mywindow","location=0,status=1,scrollbars=0, addressbar=0, width=500,height=410");
			mywindow.moveTo(0,0);

			
		}

		function showFilter(){
			mywindow = window.open ("filterRows.faces", "mywindow","location=0,status=1,scrollbars=0, addressbar=0,model=yes,  width=500,height=300");
			//showModalDialog("filterRows.faces");
			mywindow.moveTo(0,0);
		}
		

     </script>

    </h:form>
</f:view>
</body>
</html>
